<?php

namespace Lc\ShopBundle\Repository;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\ShopBundle\Context\DefaultRepositoryInterface;
use Lc\ShopBundle\Context\TicketInterface;
use Lc\ShopBundle\Context\UnitInterface;
use Lc\ShopBundle\Repository\BaseRepository;

/**
 * @method TicketInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method TicketInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method TicketInterface[]    findAll()
 * @method TicketInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class TicketRepository extends BaseRepository implements DefaultRepositoryInterface
{
        public function getInterfaceClass()
        {
                return TicketInterface::class;
        }
}

